Debian Bug report logs - #681000
ITP: tlsdate -- secure parasitic rdate replacement

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jacob Appelbaum <jacob@appelbaum.net>

Date: Mon, 9 Jul 2012 19:48:01 UTC

Owned by: Jacob Appelbaum <jacob@appelbaum.net>

Severity: wishlist

Fixed in version tlsdate/0.0.4-1

Done: Jacob Appelbaum <jacob@appelbaum.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#681000; Package wnpp. (Mon, 09 Jul 2012 19:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacob Appelbaum <jacob@appelbaum.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 09 Jul 2012 19:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jacob Appelbaum <jacob@appelbaum.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: tlsdate -- secure parasitic rdate replacement
Date: Mon, 09 Jul 2012 19:44:42 +0000
Package: wnpp
Severity: wishlist
Owner: Jacob Appelbaum <jacob@appelbaum.net>

* Package name    : tlsdate
  Version         : 0.0.1
  Upstream Author : Jacob Appelbaum <jacob@appelbaum.net>
* URL             : https://www.github.com/ioerror/tlsdate
* License         : BSD
  Programming Lang: C
  Description     : secure parasitic rdate replacement

tlsdate sets the local clock by securely connecting with TLS to remote
servers and extracting the remote time out of the secure handshake.
Unlike ntpdate, tlsdate uses TCP and verifies all data with
cryptographic signatures.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 20:06:45 GMT) Full text and rfc822 format available.

Reply sent to Jacob Appelbaum <jacob@appelbaum.net>:
You have taken responsibility. (Sun, 09 Dec 2012 16:03:10 GMT) Full text and rfc822 format available.

Notification sent to Jacob Appelbaum <jacob@appelbaum.net>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 16:03:10 GMT) Full text and rfc822 format available.

Message #12 received at 681000-close@bugs.debian.org (full text, mbox):

From: Jacob Appelbaum <jacob@appelbaum.net>
To: 681000-close@bugs.debian.org
Subject: Bug#681000: fixed in tlsdate 0.0.4-1
Date: Sun, 09 Dec 2012 16:00:06 +0000
Source: tlsdate
Source-Version: 0.0.4-1

We believe that the bug you reported is fixed in the latest version of
tlsdate, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681000@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jacob Appelbaum <jacob@appelbaum.net> (supplier of updated tlsdate package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Nov 2012 02:00:00 -0800
Source: tlsdate
Binary: tlsdate
Architecture: source amd64
Version: 0.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Jacob Appelbaum <jacob@appelbaum.net>
Changed-By: Jacob Appelbaum <jacob@appelbaum.net>
Description: 
 tlsdate    - secure parasitic rdate replacement
Closes: 681000
Changes: 
 tlsdate (0.0.4-1) unstable; urgency=low
 .
   * Initial release (Closes: #681000)
   * New upstream version.
   * Merge in all git fixes after 0.0.4 to fix various lintian issues.
Checksums-Sha1: 
 e4a0c1083287b5a279b69dfc7bac507842e4330c 1125 tlsdate_0.0.4-1.dsc
 3f65090416bdd6becba818a3063c56b2db6ac41a 474325 tlsdate_0.0.4.orig.tar.gz
 433db2e8c028bca606bbbb4867f0c962d4c1b0ee 9741 tlsdate_0.0.4-1.debian.tar.gz
 aac308c1462270f40b1b5d75a7c243ae594043c0 197492 tlsdate_0.0.4-1_amd64.deb
Checksums-Sha256: 
 a8d0eda6cb5e73c9a4f14e19cf4a7ba3583573f766c70aeba5da659e5da111b9 1125 tlsdate_0.0.4-1.dsc
 bf774354964b006687bf38e081e6b611464b076bb938c0c99b27a78054e7a90e 474325 tlsdate_0.0.4.orig.tar.gz
 8010a060029f0847b30ff8e3dbcab3d0e3e135d545366741142ba5ec57a99169 9741 tlsdate_0.0.4-1.debian.tar.gz
 146ff45682e0b2d428bdc26b468e40741252223022c72a14b6ad23ae2740b996 197492 tlsdate_0.0.4-1_amd64.deb
Files: 
 4b96e9bb602e4a285253046532885ff4 1125 net extra tlsdate_0.0.4-1.dsc
 060bbbe4ca9c0fff12503a273078c0e0 474325 net extra tlsdate_0.0.4.orig.tar.gz
 dfe8a40b41ab92677350619b239a1f80 9741 net extra tlsdate_0.0.4-1.debian.tar.gz
 d94fb18762c8bd3366b9d3ce456cee88 197492 net extra tlsdate_0.0.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCu/2QACgkQoRg/jtECjI1LJQCeL9rFPL1wyVImY7jWALkK3ci1
p6oAoIx1gbsoBDKAiRodpqQj3FxsOOlP
=lUP9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:25:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:10:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.